Microsoft MSMQ Connector Release Notes - Mule 4

Support Category: Select

Anypoint Connector for Microsoft Message Queueing (MSMQ Connector) for Mule 4.

2.0.8

July 23, 2021

Compatibility

MSMQ Connector is compatible with:

Application/Service Version

Mule

4.1.1 and later

Anypoint Studio

Studio 7.0.0 and later

Fixed Issues

  • Optimized the connector to improve its overall stability and performance.

2.0.7

May 11, 2021

Compatibility

MSMQ Connector is compatible with:

Application/Service Version

Mule

4.1.1 and later

Anypoint Studio

Studio 7.0.0 and later

Fixed Issues

Fixed the reported vulnerabilities for the connector.

2.0.6

January 12, 2021

Compatibility

MSMQ Connector is compatible with:

Application/Service Version

Mule

4.1.1 and later

Anypoint Studio

Studio 7.0.0 and later

Fixed Issues

The connector did not trigger the REDELIVERY_EXHAUSTED exception.

2.0.5

November 18, 2020

Compatibility

MSMQ Connector is compatible with:

Application/Service Version

Mule

4.1.1 and later

Anypoint Studio

Studio 7.0.0 and later

Fixed Issues

Fixed the reported vulnerabilities for the connector.

2.0.4

September 9, 2020

Compatibility

MSMQ Connector is compatible with:

Application/Service Version

Mule

4.1.1 and later

Anypoint Studio

Studio 7.0.0 and later

Fixed Issues

Messages formatted with ActiveXMessageFormatter did not appear as intended. (SE-17029)

2.0.3

July 8, 2020

Compatibility

MSMQ Connector is compatible with:

Application/Service Version

Mule

4.1.1 and later

Anypoint Studio

Studio 7.0.0 and later

Fixed Issues

Fixed security vulnerabilities for the connector.

2.0.2

May 8, 2020

Compatibility

MSMQ Connector is compatible with:

Application/Service Version

Mule

4.1.1 and later

Anypoint Studio

Studio 7.0.0 and later

Fixed Issues

  • Deleted the following dependencies to fix vulnerability issues (CONN-5911):

    • com.google.guava:guava:19.0

    • assertions-1.0.2.jar

    • wlang-2.2.2.jar

2.0.1

May 4, 2020

Compatibility

MSMQ Connector is compatible with:

Application/Service Version

Mule

4.1.1 and later

Anypoint Studio

Studio 7.0.0 and later

Fixed Issues

  • Upgraded the following dependencies to fix vulnerability issues:

    • org.apache.httpcomponents:httpclient:4.5 upgraded to org.apache.httpcomponents:httpclient:4.5.9

    • commons-codec:commons-codec:1.9 upgraded to commons-codec:commons-codec:1.13

2.0.0

February 2, 2018

Compatibility

MSMQ Connector is compatible with:

Application/Service Version

Mule

4.1.0 and later

Anypoint Studio

Studio 7.0.0 and later

Features

Supports Mule 4.

Was this article helpful?

💙 Thanks for your feedback!